<?php

/*-----------------------------------------------------------------------------------

	Plugin Name: MyThemeShop Twitter and RSS Count
	Description: A widget that shows twitter follower and RSS Subscriber count
	Version: 1.0
---------------------------------------------------------------------------------*/

// load widget.
add_action( 'widgets_init', 'swt_rsstwitter_widgets' );

// Register widget.
function swt_rsstwitter_widgets() {
	register_widget( 'swt_RssTwitter_Widget' );
}

// Widget class.
class swt_rsstwitter_widget extends WP_Widget {


/*-----------------------------------------------------------------------------------*/
/*	Widget Setup
/*-----------------------------------------------------------------------------------*/
	
	function swt_RssTwitter_Widget() {
	
		/* Widget settings */
		$widget_ops = array( 'classname' => 'swt_rsstwitter_widget', 'description' => __('A widget shows twitter follower and RSS Subscriber count', 'framework') );

		/* Widget control settings */
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'swt_rsstwitter_widget' );

		/* Create the widget */
		$this->WP_Widget( 'swt_rsstwitter_widget', __('MyThemeShop: Twitter & RSS Count', 'framework'), $widget_ops );
	}

/*-----------------------------------------------------------------------------------*/
/*	Display Widget
/*-----------------------------------------------------------------------------------*/
	
	function widget( $args, $instance ) {
		extract( $args );

		/* Variables from the widget settings. */
		$title = apply_filters('widget_title', $instance['title'] );
		$username = $instance['username'];
		$refresh_text = $instance['refresh_text'];
		$twitter = $instance['twitter'];
		$page_id = $instance['page_id'];

		/* Before widget (defined by themes). */
		echo $before_widget;

		/* Display the widget title if one was input (before and after defined by themes). */
		if ( $title )
			echo $before_title . $title . $after_title;
		
		// RSS Code
		$theurl = file_get_contents('http://feedburner.google.com/api/awareness/1.0/GetFeedData?uri='.$username);
		$begin = 'circulation="'; $end = '"';
		$page = $theurl;
		$parts = explode($begin,$page);
		$page = $parts[1];
		$parts = explode($end,$page);
		$fbcount = $parts[0];
		if($fbcount == '0' || $fbcount == '' ) { $fbcount = $refresh_text; }
		
		
		$referer = '';
		
		//Twitter code
        $twitter_data = wp_remote_get("http://twitter.com/statuses/user_timeline/$twitter.json");
        $twitter_data = json_decode($twitter_data['body']);
        $twitter_followers = $twitter_data[0]->user->followers_count;
		
		//facebook code
		$xml = @simplexml_load_file("http://api.facebook.com/restserver.php?method=facebook.fql.query&query=SELECT%20fan_count%20FROM%20page%20WHERE%20page_id=$page_id") or die ("a lot");
		$fans = $xml->page->fan_count;

	?>
    	<div class="rsstwitter">
        
        <div class="rsscount">
                                     
            <div class="details">
                
                <a href="http://feeds.feedburner.com/<?php echo $username; ?>" class="countlink">
                <span class="count"><?php echo $fbcount; ?></span>
                <span class="ctext"><?php _e('Subscribers', 'framework'); ?></span>
                </a>
                
            </div><!--details-->
            
        </div><!--rss_widget-->
        
        <?php
		
		?>
        <div class="twittercount">

            <div class="details">
                
                <a href="<?php echo "http://www.twitter.com/$twitter"; ?>" class="countlink">
                
                <span class="count"><?php echo $twitter_followers; ?></span>
                <span class="ctext"><?php _e('Followers', 'framework'); ?></span>
                </a>
                
            </div><!--details-->
            
        </div><!--twitter_widget-->
		
		<div class="fbcount">

            <div class="details">
                
                <a href="<?php echo "http://www.facebook.com/$page_id"; ?>" class="countlink">
                
                <span class="count"><?php echo $fans; ?></span>
                <span class="ctext"><?php _e('Fans', 'framework'); ?></span>
                </a>
                
            </div><!--details-->
            
        </div><!--Facebook_widget-->
        
        </div>
                        
        <?php

		/* After widget (defined by themes). */
		echo $after_widget;
	}

/*-----------------------------------------------------------------------------------*/
/*	Update Widget
/*-----------------------------------------------------------------------------------*/
	
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags for title and name to remove HTML (important for text inputs). */
		$instance['title'] = strip_tags( $new_instance['title'] );

		/* No need to strip tags */
		$instance['username'] = $new_instance['username'];
		$instance['refresh_text'] = $new_instance['refresh_text'];
		$instance['twitter'] = $new_instance['twitter'];
		$instance['page_id'] = $new_instance['page_id'];

		return $instance;
	}

/*-----------------------------------------------------------------------------------*/
/*	Widget Settings
/*-----------------------------------------------------------------------------------*/
	
	function form( $instance ) {
	
		/* Set up some default widget settings. */
		$defaults = array(
		'title' => '',
		'username' => "mythemeshop",
		'refresh_text' => '1000+',
		'twitter' => 'mythemeshopteam',
		'page_id' => '219675898134490',
		);
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<!-- Widget Title: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'framework') ?></label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
		</p>

		<!-- Ad RSS: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'username' ); ?>"><?php _e('RSS Acount:', 'framework') ?></label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'username' ); ?>" name="<?php echo $this->get_field_name( 'username' ); ?>" value="<?php echo $instance['username']; ?>" />
		</p>
        
        <!-- Ad RSS refresh text: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'refresh_text' ); ?>"><?php _e('RSS Refresh Text:', 'framework') ?></label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'refresh_text' ); ?>" name="<?php echo $this->get_field_name( 'refresh_text' ); ?>" value="<?php echo $instance['refresh_text']; ?>" />
		</p>
		
		<!-- Ad twitter username: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'twitter' ); ?>"><?php _e('Twitter Acount:', 'framework') ?></label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'twitter' ); ?>" name="<?php echo $this->get_field_name( 'twitter' ); ?>" value="<?php echo $instance['twitter']; ?>" />
		</p>
		
		<!-- Ad Facebook page id: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'page_id' ); ?>"><?php _e('Facebook Fanpage id:', 'framework') ?></label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'page_id' ); ?>" name="<?php echo $this->get_field_name( 'page_id' ); ?>" value="<?php echo $instance['page_id']; ?>" />
		</p>
	<?php
	}
}
?>