<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head>
	<meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<title><?php wp_title(''); ?></title>
	<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
	<?php if (get_option('sns_favicon') != '') { ?>
	<link rel="icon" href="<?php echo get_option('sns_favicon'); ?>" type="image/x-icon" />
	<?php } ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	<meta name="viewport" content="user-scalable=no, initial-scale=1.0, maximum-scale=1.0, width=device-width">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<meta name="apple-mobile-web-app-capable" content="yes">
<?php if (get_option('sns_title_font') != '') { ?>
<?php if (get_option('sns_title_font') == 'Bree Serif') { ?>
<?php } else { ?>
	<link href="http://fonts.googleapis.com/css?family=<?php echo get_option('sns_title_font'); ?>" rel="stylesheet" type="text/css">
<style type="text/css">
#header_area, .headline_area h1, .headline_area h2, h1, h2, h3, h4, h5, h6, .sidebar h3, #sidebar-left, #footer_setup h3, .copyrights {
font-family: '<?php echo get_option('sns_title_font'); ?>', Arial, sans-serif;
}
</style>
<?php } ?>
<?php } ?>
<?php if (get_option('sns_content_font') != '') { ?>
<link href="http://fonts.googleapis.com/css?family=<?php echo get_option('sns_content_font'); ?>" rel="stylesheet" type="text/css">
<?php } else { ?>
<link href="http://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet" type="text/css">
<?php } ?>
	<?php if (get_option('sns_alt_stylesheet') != '') { ?>
	<?php if (get_option('sns_alt_stylesheet') == 'redblue') { ?>
	<?php } else { ?>
	<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/styles/<?php echo get_option('sns_alt_stylesheet'); ?>.css" />
	<?php } ?>
	<?php } ?>
	<?php wp_enqueue_script("jquery"); ?>
	<!--[if lt IE 9]>
		<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
	<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
	<?php wp_head(); ?>
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.6.2/jquery.min.js"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/customscript.js" type="text/javascript"></script>
<?php if(get_option('sns_lightbox') == 'true') { ?>
<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/css/prettyPhoto.css" type="text/css" media="screen" charset="utf-8" />
<script src="<?php bloginfo('template_directory'); ?>/js/jquery.prettyPhoto.js"></script>
	<script type="text/javascript">  
	jQuery(document).ready(function($) {
   	$("a[href$='.jpg'], a[href$='.jpeg'], a[href$='.gif'], a[href$='.png']").prettyPhoto({
	slideshow: 5000, /* false OR interval time in ms */
	autoplay_slideshow: false, /* true/false */
	animationSpeed: 'normal', /* fast/slow/normal */
	padding: 40, /* padding for each side of the picture */
        opacity: 0.35, /* Value betwee 0 and 1 */
	showTitle: true, /* true/false */	
	social_tools: false
	});
})
</script>
 <?php } ?>
	<?php if(get_option('sns_featured_slider') == 'true') { ?>
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/flexslider.css" type="text/css">
<script src="<?php echo get_template_directory_uri(); ?>/js/jquery.flexslider-min.js"></script>
<script type="text/javascript">
  $(window).load(function() {
    $('.flexslider').flexslider({
          animation: "fade",
		  pauseOnHover: true,
          controlsContainer: ".flex-container"
    });
  });
</script>
  <?php } ?>
  <?php if(get_option('sns_floating_leftside') == 'true') { ?>
<script type="text/javascript">
    $(window).scroll(function() {
        $('#sidebar-left').animate({ top: $(window).scrollTop() + "px" }, { queue: false, duration: 500}, "fast");
    });
</script>
	<?php } ?>
<style type="text/css">
body {
<?php if (get_option('sns_bg_color') != '') { ?>
background-color:<?php echo get_option('sns_bg_color'); ?>;
<?php } ?>
}
<?php if (get_option('sns_bg_pattern') != '') { ?>
body {
background-image: url(<?php echo get_template_directory_uri(); ?>/images/<?php echo get_option('sns_bg_pattern'); ?>.png);
}
<?php if (get_option('sns_bg_pattern') == 'nobg') { ?>
#content_area .page {
border-color:#fff;
background: transparent;
}
<?php } ?>
<?php } else { ?>
#content_area {
padding-top:0;
padding-bottom:0;
}
#content_area .page {
border: 0;
background: transparent;
}
<?php } ?>
<?php if(get_option('sns_headline_meta') == 'false') { ?>
.headline_meta {
display:none;
}
<?php } ?>
<?php if(get_option('sns_thumbnails') == 'false') { ?>
.featured-thumbnail {
display:none;
}
<?php } ?>
<?php if(get_option('sns_author_comment') == 'true') { ?>
.bypostauthor {
background: #F7FBFB url(<?php echo get_template_directory_uri(); ?>/images/author.png) right 0 no-repeat!important;
border: 1px solid #87AEC4!important;
}
<?php } ?>
<?php if(get_option('sns_comment_date') == 'false') { ?>
.comment-meta {
display:none;
}
<?php } ?>
<?php if(get_option('sns_floating_header') == 'true') { ?>
#header_area {
position: fixed;
top: 0;
left: 0;
z-index: 50;
border-bottom: 1px solid #EEE;
opacity: 0.9;
}
#content_area {
margin-top: 45px;
}
<?php } ?>
<?php if(get_option('sns_floating_leftside') == 'true') { ?>
#content {
left: 204px;
}
#sidebar-left {
position: relative;
}
#content_box {
overflow:hidden;
}
<?php } ?>
<?php if (get_option('sns_content_font') != '') { ?>
body {
font-family: '<?php echo get_option('sns_content_font'); ?>', Arial, sans-serif;
}
<?php } ?>
<?php if (get_option('sns_title_size') != '') { ?>
.headline_area h1, .headline_area h2 {
font-size:<?php echo get_option('sns_title_size'); ?>px;
}
<?php } ?>
<?php if (get_option('sns_body_size') != '') { ?>
body {
font-size:<?php echo get_option('sns_body_size'); ?>px;
}
<?php } ?>
<?php if(get_option('sns_image_border') == 'true') { ?>
.format_text img,
.format_text img.left,
.format_text img.alignleft,
.format_text img.right,
.format_text img.alignright,
.format_text img.center,
.format_text img.aligncenter,
.format_text img.alignnone {
border: 1px solid lightGrey;
padding: 5px;
background: white;
border-top-left-radius: 4px;
border-top-right-radius: 4px;
border-bottom-right-radius: 4px;
border-bottom-left-radius: 4px;
}
.format_text img:hover,
.format_text img.left:hover,
.format_text img.alignleft:hover,
.format_text img.right:hover,
.format_text img.alignright:hover,
.format_text img.center:hover,
.format_text img.aligncenter:hover,
.format_text img.alignnone:hover {
background-color: #D8D9DA;
border-color: #BCBCBC;
}
<?php } ?>
<?php if(get_option('sns_click_effect') == 'true') { ?>
#content_area a:active {
background-color:#E53B2C;
color:#fff;
text-decoration:none;
}
.format_text a:active {
	color:#fff;
}
.entry-title a:active{
color: #fff;
background-color:#E53B2C;
}
<?php } ?>
<?php if (get_option('sns_layout') == 'scclayout') { ?>
#content {
float: right;
border-left: 1px #F2F2F2 solid;
border-right:0;
}
.post_box {
padding: 20px 0 40px 20px;
}
#sidebar-left {
float:right;
margin: 30px 0 0 30px;
}
#sidebars {
float: left;
}
.left-menu li {
text-align: left;
}
.postauthor {
padding-right: 0;
padding-left: 25px;
}
.comments_intro {
padding-left: 25px;
}
.commentlist li {
border-left:0;
border-right: 1px solid #DDD;
}
.commentlist .children li {
margin-right:0;
}
#respond h3 {
margin-left: 20px;
}
#commentform {
margin-left: 20px;
}
/*-----------------------------------------[ 1024 ]-------------------------------------*/
@media screen and (max-width:1024px){
#content {
padding-left:0;
padding-right:4%;
border-left:0;
}
}
/*-----------------------------------------[ 768 ]-------------------------------------*/
@media screen and (max-width: 768px) {
#sidebars {
width: 90%;
}
}
<?php } ?>
<?php if (get_option('sns_layout') == 'cslayout') { ?>
.page {
width: 1030px;
}
#content {
padding-left: 35px;
}
.footer_items_1, .footer_items_2, .footer_items_3, .footer_items_4 {
width: 330px;
}
.footer_items_3 {
margin-right: 0;
}
.footer_items_4 {
float:none;
}
/*-----------------------------------------[ 1200 ]-------------------------------------*/
@media screen and (max-width: 1200px) {
#sidebars {
width: 29%;
}
}
/*-----------------------------------------[ 1024 ]-------------------------------------*/
@media screen and (max-width: 1024px) {
.page {
width: 95%;
}
.footer_items_1, .footer_items_2, .footer_items_3, .footer_items_4 {
width: 300px;
}
.footer_items_4 {
float: left;
}
.footer_items_3 {
margin-right: 20px;
}
}
/*-----------------------------------------[ 768 ]-------------------------------------*/
@media screen and (max-width: 768px) {
#sidebars {
width: 95%;
}
}
/*-----------------------------------------[ 480 ]-------------------------------------*/
@media screen and (max-width: 480px) {
.sidebar {
padding-left: 8%;
}
}
/*-----------------------------------------[ 320 ]-------------------------------------*/
@media screen and (max-width: 320px) {
#content {
padding-left: 20px;
}
}
<?php } ?>
<?php if (get_option('sns_layout') == 'sclayout') { ?>
.page {
width: 1030px;
}
#content {
float: right;
border-left: 1px #F2F2F2 solid;
border-right:0;
padding-left: 25px;
padding-right: 10px;
}
#sidebars {
float: left;
}
.postauthor {
margin-right: 20px;
}
#comments {
margin-right: 20px;
}
.commentlist li {
border: 1px solid #DDD;
}
.commentlist .children li {
margin-right:0;
}
.footer_items_1, .footer_items_2, .footer_items_3, .footer_items_4 {
width: 330px;
}
.footer_items_3 {
margin-right: 0;
}
.footer_items_4 {
float:none;
}
/*-----------------------------------------[ 1024 ]-------------------------------------*/
@media screen and (max-width: 1024px) {
.page {
width: 95%;
}
.footer_items_1, .footer_items_2, .footer_items_3, .footer_items_4 {
width: 300px;
}
.footer_items_4 {
float: left;
}
.footer_items_3 {
margin-right: 20px;
}
}
/*-----------------------------------------[ 768 ]-------------------------------------*/
@media screen and (max-width: 768px) {
#sidebars {
width: 90%;
}
}
/*-----------------------------------------[ 320 ]-------------------------------------*/
@media screen and (max-width: 320px) {
.sidebar {
padding-left: 0;
}
}
<?php } ?>
<?php echo get_option('sns_custom_css'); ?>
</style>
<?php echo get_option('sns_header_code'); ?>
</head>
<?php flush(); ?>
<body <?php body_class('main'); ?>>
	<div id="header_area">
		<div class="page">
			<div id="header">
				<?php if( is_front_page() || is_home() || is_404() ) { ?>
					<?php if (get_option('sns_logo') != '') { ?>
                    <h1 id="logo">
						<a href="<?php echo home_url(); ?>"><img src="<?php echo get_option('sns_logo'); ?>" alt="<?php bloginfo( 'name' ); ?>"/></a>
					</h1>
                        <?php } else { ?>
		<div class="text-logo">
                    <h1 id="logo">
						<a href="<?php echo home_url(); ?>"><?php bloginfo( 'name' ); ?></a>
					</h1>
		</div>
                        <?php } ?>
                    <!-- END #logo -->
				<?php } else { ?>
		<?php if (get_option('sns_logo') != '') { ?>
                <h2 id="logo">
				<a href="<?php echo home_url(); ?>"><img src="<?php echo get_option('sns_logo'); ?>" alt="<?php bloginfo( 'name' ); ?>"/></a>
		</h2>
                   <?php } else { ?>
		<div class="text-logo">
                    <h2 id="logo">
						<a href="<?php echo home_url(); ?>"><?php bloginfo( 'name' ); ?></a>
					</h2>
		</div>
                        <?php } ?>
                    <!-- END #logo -->
				<?php } ?>
			</div><!--#header-->
<nav class="main-navigation">
		<?php if ( has_nav_menu( 'header-menu' ) ) { ?>
                        <?php wp_nav_menu( array( 'theme_location' => 'header-menu', 'menu_class' => 'menu', 'container' => '' ) ); ?>
                        <?php } else { ?>
                        <ul class="menu">
							<li class="home-tab"><a href="<?php echo home_url(); ?>">Home</a></li>
                            <?php wp_list_pages('title_li='); ?>
                        </ul>
        <?php } ?><!--#nav-primary-->
</nav>
		</div><!--.page-->
	</div><!--#header_area-->
	<div id="content_area">
		<div class="page">
			<div id="content_box">