<?php
/*
Template Name: Contact
*/
?>

<?php 

$nameError = '';
$emailError = '';
$commentError = '';

if(isset($_POST['submitted'])) {
		if(trim($_POST['contactName']) === '') {
			$nameError = 'Please enter your name.';
			$hasError = true;
		} else {
			$name = trim($_POST['contactName']);
		}
		
		if(trim($_POST['email']) === '')  {
			$emailError = 'Please enter your email address.';
			$hasError = true;
		} else if (!eregi("^[A-Z0-9._%-]+@[A-Z0-9._%-]+\.[A-Z]{2,4}$", trim($_POST['email']))) {
			$emailError = 'You entered an invalid email address.';
			$hasError = true;
		} else {
			$email = trim($_POST['email']);
		}
			
		if(trim($_POST['comments']) === '') {
			$commentError = 'Please enter a message.';
			$hasError = true;
		} else {
			if(function_exists('stripslashes')) {
				$comments = stripslashes(trim($_POST['comments']));
			} else {
				$comments = trim($_POST['comments']);
			}
		}
			
		if(!isset($hasError)) {
			$emailTo = get_option('admin_email');
			$subject = '[Contact Form] From '.$name;
			$body = "Name: $name \n\n";
			$body .= "Email: $email \n\n";
			$body .= "Message: $comments";
			$headers = 'From: '.$name.' <'.$emailTo.'>' . "\r\n" . 'Reply-To: ' . $emailTo;
			
			mail($emailTo, $subject, $body, $headers);
			$emailSent = true;
		}
	
} ?>
<?php get_header(); ?>
<?php if (get_option('sns_layout') == 'cslayout' || get_option('sns_layout') == 'sclayout') { ?>
<?php } else { ?>
<div id="sidebar-left">
<?php left_sidebar_menu(); ?>
</div>
<?php } ?>
			<div id="content" class="hfeed">
	<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
		<div class="page-single post_box">
			<?php if (get_option('sns_breadcrumb') == 'true') { ?>
			<div class="breadcrumb"><?php the_breadcrumb(); ?></div>
			<?php } ?>
			<article>
				<div class="headline_area">
				<h2 class="entry-title"><?php the_title(); ?></h2>
				</div><!--.headline_area-->
<div class="format_text entry-content">
				<?php if(isset($emailSent) && $emailSent == true) { ?>

					<div class="thanks">
						<p><?php _e('Thanks, your email was sent successfully.', 'framework') ?></p>
					</div>

				<?php } else { ?>

					<?php the_content(); ?>
		
					<?php if(isset($hasError) || isset($captchaError)) { ?>
						<p class="error"><?php _e('Sorry, an error occured.', 'framework') ?><p>
					<?php } ?>
	
					<form action="<?php the_permalink(); ?>" id="contactForm" method="post">
						<div class="contactform">
							<p><label for="contactName"><?php _e('Name:', 'framework') ?></label></p>
								<p><input type="text" name="contactName" size="32" id="contactName" value="<?php if(isset($_POST['contactName'])) echo $_POST['contactName'];?>" class="required requiredField" />
								<?php if($nameError != '') { ?>
									<span class="error"><?php echo $nameError; ?></span> 
								<?php } ?>
							</p>
				
							<p><label for="email"><?php _e('Email:', 'framework') ?></label></p>
								<p><input type="text" name="email" id="email" size="32" value="<?php if(isset($_POST['email']))  echo $_POST['email'];?>" class="required requiredField email" />
								<?php if($emailError != '') { ?>
									<span class="error"><?php echo $emailError; ?></span>
								<?php } ?>
							</p>
				
							<p class="textarea"><label for="commentsText"><?php _e('Message:', 'framework') ?></label></p>
								<p><textarea name="comments" id="contacttext" rows="10" cols="60" class="required requiredField"><?php if(isset($_POST['comments'])) { if(function_exists('stripslashes')) { echo stripslashes($_POST['comments']); } else { echo $_POST['comments']; } } ?></textarea>
								<?php if($commentError != '') { ?>
									<span class="error"><?php echo $commentError; ?></span> 
								<?php } ?>
							</p>
				
							<div class="hbuttons">
								<input type="hidden" name="submitted" id="submitted" value="true" /></div>
								<p><button class="contact-submit" type="submit">
                                    <span class="left"><?php _e('Send Email', 'framework') ?></span>
                                </button>
							</p>
						</div>
					</form>
				<?php } ?>
				<div class="top"><a href="#top">Back to Top</a></div>
				</div><!-- .entry-content -->
				</div>
				<?php endwhile; ?><!--END #primary .hfeed-->
			</div>
			
<?php get_sidebar(); ?>

<?php get_footer(); ?>